import QtQuick 2.7
import QtQuick.Controls 2.1
import QtQuick.Controls.Styles 1.2
import QtGraphicalEffects 1.0

import QGroundControl.Palette 1.0

Item {
    property color color: "white"   // Image color

    property alias asynchronous:        image.asynchronous
    property alias cache:               image.cache
    property alias fillMode:            image.fillMode
    property alias horizontalAlignment: image.horizontalAlignment
    property alias mirror:              image.mirror
    property alias paintedHeight:       image.paintedHeight
    property alias paintedWidth:        image.paintedWidth
    property alias progress:            image.progress
    property alias smooth:              image.smooth
    property alias mipmap:              image.mipmap
    property alias source:              image.source
    property alias sourceSize:          image.sourceSize
    property alias status:              image.status
    property alias verticalAlignment:   image.verticalAlignment

    width:  image.width
    height: image.height

    Image {
        id:             image
        smooth:         true
        mipmap:         true
        antialiasing:   true
        visible:        false
        fillMode:       Image.PreserveAspectFit
        anchors.fill:   parent
    }

    ColorOverlay {
        anchors.fill:   image
        source:         image
        color:          parent.color
    }
}
